

set -ex



ulimit -n 64000
python -c "import sys, scipy, numpy; print(scipy.__version__, numpy.__version__, sys.version_info)"
python -c "import numpy; numpy.show_config()"
python -c "import scipy, sys; sys.exit(not scipy.test(verbose=1, label='full', tests=None, extra_argv=['-k', 'not (_not_a_real_test or test_x0_equals_Mb[bicgstab] or test_bad_genei or test_milp_timeout_16545 or test_svdp or test_examples)', '-n', '3', '--timeout=1800', '--durations=50']))"
python -c "import scipy, sys; scipy.test(verbose=2, label='full', tests=None, extra_argv=['-k', '(test_svdp or test_examples)', '-n', '3', '--timeout=1800', '--durations=50']); sys.exit(0)"
python -c "import scipy, sys; scipy.test(verbose=2, label='full', tests=None, extra_argv=['-k', '(_not_a_real_test or test_x0_equals_Mb[bicgstab] or test_bad_genei or test_milp_timeout_16545)', '-n', '3', '--timeout=1800', '--durations=50']); sys.exit(0)"
exit 0
